## visad.browser
Class ContourWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  visad.browser.Widget
                      visad.browser.ContourWidget

All Implemented Interfaces:
  Accessible, ActionListener, EventListener, ImageObserver, ItemListener, MenuContainer, Serializable

public class ContourWidget
extends Widget
implements ActionListener, ItemListener

A widget that allows users to control graphics mode parameters.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` `ContourWidget.ContourRangeSlider` Subclass of RangeSlider for selecting min and max values.

Nested classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`(package private) TextField` `base`
`(package private) ContourWidget.ContourRangeSlider` `contourRange`
`(package private) Checkbox` `contours`
`(package private) Checkbox` `dashed`
`(package private) TextField` `interval`
`(package private) Checkbox` `labels`
`(package private) Slider` `surface`
`(package private) Label` `surfaceLabel`

Fields inherited from class visad.browser.Widget
`DEBUG, FALSE, PALE_GRAY, TRUE`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ContourWidget()` Constructs a new ContourWidget.

Method Summary
`void` `actionPerformed(ActionEvent e)` Handles TextField changes.
`float` `getBase()` Gets the value of the base text field.
`float` `getContourInterval()` Gets the value of the interval text field.
`float` `getHiLimit()` Gets the hi value of the contour range slider.
`boolean` `getLabels()` Gets the value of the labels checkbox.
`float` `getLowLimit()` Gets the low value of the contour range slider.
`boolean` `getMainContours()` Gets the value of the contours checkbox.
`double` `getMaxValue()` Gets the maximum contouring value.
`double` `getMinValue()` Gets the minimum contouring value.
`String` `getName()` Gets the name of the variable.
`String` `getSaveString()` Gets a string representing this widget's current state.
`float` `getSurfaceValue()` Gets the value of the surface value slider.
`void` `itemStateChanged(ItemEvent e)` Handles Checkbox changes.
`static void` `main(String[] args)` Tests ContourWidget.
`void` `setBase(float bs)` Sets the value of the base text field.
`void` `setContourInterval(float ci)` Sets the value of the interval text field.
`void` `setLabels(boolean lb)` Sets the value of the labels checkbox.
`void` `setLimits(float lo, float hi)` Sets the range of the contour range slider.
`void` `setMainContours(boolean mc)` Sets the value of the contours checkbox.
`void` `setName(String name)` Sets the name of the variable.
`void` `setRange(float min, float max)` Sets the minimum and maximum contouring values.
`void` `setSaveString(String save)` Reconstructs this widget's state using the specified save string.
`void` `setSurfaceValue(float sv)` Sets the value of the surface value slider.

Methods inherited from class visad.browser.Widget
`addComponent, addWidgetListener, containedIn, notifyListeners, removeWidgetListener, testWidget`

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### contours

    Checkbox contours

### labels

    Checkbox labels

### dashed

    Checkbox dashed

### interval

    TextField interval

### base

    TextField base

### surfaceLabel

    Label surfaceLabel

### surface

    Slider surface

### contourRange

    ContourWidget.ContourRangeSlider contourRange

Constructor Detail

### ContourWidget

    public ContourWidget()

  Constructs a new ContourWidget.

Method Detail

### getName

    public String getName()

  Gets the name of the variable.

### setName

    public void setName(String name)

  Sets the name of the variable.

### getMinValue

    public double getMinValue()

  Gets the minimum contouring value.

### getMaxValue

    public double getMaxValue()

  Gets the maximum contouring value.

### setRange

    public void setRange(float min,
                         float max)

  Sets the minimum and maximum contouring values.

### getMainContours

    public boolean getMainContours()

  Gets the value of the contours checkbox.

### setMainContours

    public void setMainContours(boolean mc)

  Sets the value of the contours checkbox.

### getLabels

    public boolean getLabels()

  Gets the value of the labels checkbox.

### setLabels

    public void setLabels(boolean lb)

  Sets the value of the labels checkbox.

### getSurfaceValue

    public float getSurfaceValue()

  Gets the value of the surface value slider.

### setSurfaceValue

    public void setSurfaceValue(float sv)

  Sets the value of the surface value slider.

### getContourInterval

    public float getContourInterval()

  Gets the value of the interval text field.

### setContourInterval

    public void setContourInterval(float ci)

  Sets the value of the interval text field.

### getLowLimit

    public float getLowLimit()

  Gets the low value of the contour range slider.

### getHiLimit

    public float getHiLimit()

  Gets the hi value of the contour range slider.

### setLimits

    public void setLimits(float lo,
                          float hi)

  Sets the range of the contour range slider.

### getBase

    public float getBase()

  Gets the value of the base text field.

### setBase

    public void setBase(float bs)

  Sets the value of the base text field.

### getSaveString

    public String getSaveString()

  Gets a string representing this widget's current state.

  Specified by:
    `getSaveString` in class `Widget`

### setSaveString

    public void setSaveString(String save)

  Reconstructs this widget's state using the specified save string.

  Specified by:
    `setSaveString` in class `Widget`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Handles TextField changes.

  Specified by:
    `actionPerformed` in interface `ActionListener`

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Handles Checkbox changes.

  Specified by:
    `itemStateChanged` in interface `ItemListener`

### main

    public static void main(String[] args)

  Tests ContourWidget.